<template>
  <div class="pagination">
    <ul>
      <li
        v-for="page in pages"
        :key="page"
        :class="{selected: page === selectedPage}"
        @click="onClick(page)"
      >{{page}}</li>
    </ul>
  </div>
</template>

<script>
export default {
  name: 'Pagination',
  data(){
    return {
      pageList: [],
      selectedPage: 1
    }
  },
  props: {
    pages: Number
  },
  mounted(){
    this.generatePages()
  },
  watch: {
    page() {
      this.generatePages()
    }
  },
  methods: {
    generatePages() {
      this.pageList = []
      for( let i = 1; i <= this.pages; i++) {
        this.pageList.push(i)
      }
    },
    onClick(page) {
      this.selectedPage = page
      this.$emit('click', page)
    }
  }
}
</script>
